;****************************************************************************
;* FONTS.INC
;****************************************************************************


;* include byte values defined as strings for easy font shape declarations
.include "vis_byte.inc"


.ESEG                   ;character set tables stored in EEPROM
			;each 5x7 font matrix takes 5 byte, rotated 90 degrees

	;font table offsets
	.EQU    Font_0 = 0
	.EQU    Font_1 = 5
	.EQU    Font_2 = 10
	.EQU    Font_3 = 15
	.EQU    Font_4 = 20
	.EQU    Font_5 = 25
	.EQU    Font_6 = 30
	.EQU    Font_7 = 35
	.EQU    Font_8 = 40
	.EQU    Font_9 = 45

	;character set tables stored in EEPROM
	;each 5x7 font matrix takes 5 bytes and is stored rotated 90 degrees


	.ORG 0

	.DB      255 -     _ooooooo
	.DB      255 -     ____o___
	.DB      255 -     ____o___
	.DB      255 -     ____o___
	.DB      255 -     _ooooooo
	;
	.DB      255 -     _ooooooo
	.DB      255 -     _o__o__o
	.DB      255 -     _o__o__o
	.DB      255 -     _o__o__o
	.DB      255 -     __oo_oo_
	;
	.DB      255 -     _o___oo_
	.DB      255 -     _o__o__o
	.DB      255 -     _o__o__o
	.DB      255 -     _o__o__o
	.DB      255 -     __ooooo_
	;
	.DB      255 -     _______o
	.DB      255 -     _______o
	.DB      255 -     _ooooooo
	.DB      255 -     _______o
	.DB      255 -     _______o
	;
	.DB      255 -     _ooooooo
	.DB      255 -     _o______
	.DB      255 -     _o______
	.DB      255 -     _o______
	.DB      255 -     _o______
	;
	.DB      255 -     _ooooooo
	.DB      255 -     ____o___
	.DB      255 -     ___o_o__
	.DB      255 -     __o___o_
	.DB      255 -     _o_____o

	.DB      255 -     ________
	.DB      255 -     ________
	.DB      255 -     ________
	.DB      255 -     ________
	.DB      255 -     ________
	;
	.DB      255 -     ________
	.DB      255 -     ________
	.DB      255 -     ____o___
	.DB      255 -     ________
	.DB      255 -     ________
	;
	.DB      255 -     _o_____o
	.DB      255 -     ___o_o__
	.DB      255 -     ____o___
	.DB      255 -     ___o_o__
	.DB      255 -     _o_____o
	;

